package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussJftMercBaseInfo implements Serializable {
    private Integer id;

    private Integer userid;

    private String merchantcode;

    private String merchantname;

    private String merchanttype;

    private String mcc;

    private String mccname;

    private String alias;

    private String addressno;

    private String province;

    private String city;

    private String district;

    private String address;

    private String principalperson;

    private String bussauthname;

    private String bussauthnum;

    private String bussauthaddress;

    private String bussauthstarttime;

    private String bussauthendtime;

    private Date createtime;

    private Date updatetime;

    private String buslictype;

    private String frontpic;

    private String cashdesk;

    private String interior;

    private String notifyurl;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getMerchanttype() {
        return merchanttype;
    }

    public void setMerchanttype(String merchanttype) {
        this.merchanttype = merchanttype == null ? null : merchanttype.trim();
    }

    public String getMcc() {
        return mcc;
    }

    public void setMcc(String mcc) {
        this.mcc = mcc == null ? null : mcc.trim();
    }

    public String getMccname() {
        return mccname;
    }

    public void setMccname(String mccname) {
        this.mccname = mccname == null ? null : mccname.trim();
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias == null ? null : alias.trim();
    }

    public String getAddressno() {
        return addressno;
    }

    public void setAddressno(String addressno) {
        this.addressno = addressno == null ? null : addressno.trim();
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province == null ? null : province.trim();
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city == null ? null : city.trim();
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district == null ? null : district.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getPrincipalperson() {
        return principalperson;
    }

    public void setPrincipalperson(String principalperson) {
        this.principalperson = principalperson == null ? null : principalperson.trim();
    }

    public String getBussauthname() {
        return bussauthname;
    }

    public void setBussauthname(String bussauthname) {
        this.bussauthname = bussauthname == null ? null : bussauthname.trim();
    }

    public String getBussauthnum() {
        return bussauthnum;
    }

    public void setBussauthnum(String bussauthnum) {
        this.bussauthnum = bussauthnum == null ? null : bussauthnum.trim();
    }

    public String getBussauthaddress() {
        return bussauthaddress;
    }

    public void setBussauthaddress(String bussauthaddress) {
        this.bussauthaddress = bussauthaddress == null ? null : bussauthaddress.trim();
    }

    public String getBussauthstarttime() {
        return bussauthstarttime;
    }

    public void setBussauthstarttime(String bussauthstarttime) {
        this.bussauthstarttime = bussauthstarttime == null ? null : bussauthstarttime.trim();
    }

    public String getBussauthendtime() {
        return bussauthendtime;
    }

    public void setBussauthendtime(String bussauthendtime) {
        this.bussauthendtime = bussauthendtime == null ? null : bussauthendtime.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getBuslictype() {
        return buslictype;
    }

    public void setBuslictype(String buslictype) {
        this.buslictype = buslictype == null ? null : buslictype.trim();
    }

    public String getFrontpic() {
        return frontpic;
    }

    public void setFrontpic(String frontpic) {
        this.frontpic = frontpic == null ? null : frontpic.trim();
    }

    public String getCashdesk() {
        return cashdesk;
    }

    public void setCashdesk(String cashdesk) {
        this.cashdesk = cashdesk == null ? null : cashdesk.trim();
    }

    public String getInterior() {
        return interior;
    }

    public void setInterior(String interior) {
        this.interior = interior == null ? null : interior.trim();
    }

    public String getNotifyurl() {
        return notifyurl;
    }

    public void setNotifyurl(String notifyurl) {
        this.notifyurl = notifyurl == null ? null : notifyurl.trim();
    }
}